/*
 * Copyright (C) 2014 digitalSTROM.org, Schlieren, Switzerland
 *
 * Authors: Andreas Fenkart, <andreas.fenkart@dev.digitalstrom.org>
 *
 * digitalSTROM ds485-base library is free software: you can redistribute it
 * and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * digitalSTROM ds485-base library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with digitalSTROM ds485-base library. If not, see
 * <http://www.gnu.org/licenses/>.
 */

#ifndef __BASE_LOG_H__
#define __BASE_LOG_H__

#include <stdio.h>
#include <stdarg.h>
#include <syslog.h>


void init_logger(char *prefix, int level, int use_syslog);
void set_log_level(int level);
void enable_syslog(int enable);
void report(int errlevel, const char *fmt, ... );
void report2(int errlevel, const char *id, const char *fmt, ...);
void vreport2(int errlevel, const char *id, const char *fmt, va_list ap);

#endif
